libmygpo-qt-devel-1.0.8-alt1.x86_64.rpm


Advertisement

Description

libmygpo-qt-devel - Qt Library that wraps the gpodder.net Web API

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libmygpo-qt-devel
Package version 1.0.8
Package release alt1
Package architecture x86_64
Package type rpm
Installed size 65.95 KB
Download size 65.95 KB
Official Mirror ftp.altlinux.org
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API (http://wiki.gpodder.org/wiki/Web_Services/API_2)
v1.0 wraps nearly every Request from the gpodder.net API except:
- Simple API Calls Downloading subscription Lists & Uploading subscription Lists
- Retrieving Subscription Changes (you should use "Retrieving Updates for a given Device" instead)

Alternatives

Package Version Architecture Repository
libmygpo-qt-devel-1.0.8-alt1.i586.rpm 1.0.8 i586 Classic
libmygpo-qt-devel - - -

Requires

Name Value
/usr/lib64/pkgconfig -
libmygpo-qt1 = 1.0.8-alt1
libqt4-devel >= 4.6.0
pkgconfig(QtCore) -
pkgconfig(QtNetwork) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libmygpo-qt-devel = 1.0.8-alt1
pkgconfig(libmygpo-qt) = 1.0.8

Download

Type URL
Binary Package libmygpo-qt-devel-1.0.8-alt1.x86_64.rpm
Source Package libmygpo-qt-1.0.8-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libmygpo-qt-devel rpm package:
    # sudo apt-get install libmygpo-qt-devel

Files

Path
/usr/include/mygpo-qt/AddRemoveResult.h
/usr/include/mygpo-qt/ApiRequest.h
/usr/include/mygpo-qt/Config.h
/usr/include/mygpo-qt/Device.h
/usr/include/mygpo-qt/DeviceList.h
/usr/include/mygpo-qt/DeviceSyncResult.h
/usr/include/mygpo-qt/DeviceUpdates.h
/usr/include/mygpo-qt/Episode.h
/usr/include/mygpo-qt/EpisodeAction.h
/usr/include/mygpo-qt/EpisodeActionList.h
/usr/include/mygpo-qt/EpisodeList.h
/usr/include/mygpo-qt/Podcast.h
/usr/include/mygpo-qt/PodcastList.h
/usr/include/mygpo-qt/Settings.h
/usr/include/mygpo-qt/Tag.h
/usr/include/mygpo-qt/TagList.h
/usr/include/mygpo-qt/mygpo_export.h
/usr/lib64/libmygpo-qt.so
/usr/lib64/cmake/mygpo-qt/Mygpo-qtConfig.cmake
/usr/lib64/cmake/mygpo-qt/Mygpo-qtConfigVersion.cmake
/usr/lib64/cmake/mygpo-qt/Mygpo-qtTargets-release.cmake
/usr/lib64/cmake/mygpo-qt/Mygpo-qtTargets.cmake
/usr/lib64/pkgconfig/libmygpo-qt.pc

Changelog

2014-11-26 - Sergey V Turchin <zerg@altlinux.org> 1.0.8-alt1
- new version
2013-09-17 - Sergey V Turchin <zerg@altlinux.org> 1.0.7-alt1
- new version
2013-01-22 - Sergey V Turchin <zerg@altlinux.org> 1.0.6-alt1
- new version
2011-12-21 - Sergey V Turchin <zerg@altlinux.org> 1.0.5-alt0.M60P.1
- built for M60P
2011-12-21 - Sergey V Turchin <zerg@altlinux.org> 1.0.5-alt1
- initial build

See Also

Package Description
libmygpo-qt1-1.0.8-alt1.x86_64.rpm Qt Library that wraps the gpodder.net Web API
libmypaint-1.3.0-alt3.x86_64.rpm The brush library used by MyPaint
libmypaint-devel-1.3.0-alt3.x86_64.rpm Development files for libmypaint
libmypaint-gir-1.3.0-alt3.x86_64.rpm GObject introspection data for libmypaint
libmysql++-3.2.3-alt1.x86_64.rpm C++ API for MySQL
libmysql++-devel-3.2.3-alt1.x86_64.rpm C++ API for MySQL - development part
libmysqlclient18-10.1.37-alt1.x86_64.rpm Shared libraries
libmysqlclient20-5.7.24-alt2.x86_64.rpm Shared libraries for MySQL
libmysqlclient20-devel-5.7.24-alt2.x86_64.rpm Development header files and libraries for MySQL
libmysqlclient21-8.0.13-alt1.x86_64.rpm Shared libraries for MySQL
libmysqlclient21-devel-8.0.13-alt1.x86_64.rpm Development header files and libraries for MySQL
libmysqlcppconn-devel-1.1.9-alt1.x86_64.rpm Development library and header files for development with mysql-connector-cpp
libmysqlcppconn7-1.1.9-alt1.x86_64.rpm The shared mysql-connector-cpp library
libmythes-1.2.4-alt1_8.x86_64.rpm A thesaurus library
libmythes-devel-1.2.4-alt1_8.x86_64.rpm Files for developing with mythes
Advertisement
Advertisement